var jarName = "textplain.jar";
var jarLocation = "chrome/" + jarName;
var productName = "text/plain";
var packageName = "textplain";
var productVersion = "1.1.8";
var productVersionBuild = productVersion + ".20060209";
var regName = "/Durys/textplain";

var locales = new Array("en-US", "fr-FR", "ja-JP", "de-AT", "cs-CZ", "hu-HU");

var chromeFolder = getFolder("Chrome");
var chromeFolderJar = getFolder("Chrome", jarName);
var userChromeFolder = getFolder("Current User","chrome");
var userChromeFolderJar = getFolder("Current User","chrome/" + jarName);

var installType = 0; // 0 is global, 1 is profile

if (buildID && buildID >= 2003030700) {
	var ans = confirm("Click OK to install " + productName + " in the global chrome folder:\n or Cancel to install it in the profile chrome folder");
	if (!ans) {
		installType=1;
	}
}

var err = initInstall(productName, regName, productVersionBuild);

if (err != SUCCESS) {
    logComment("initInstall");
    cancelInstall(err);
}

if (installType == 0) {
    err = addFile(productName, jarLocation, chromeFolder, "");
    if (err != SUCCESS) {
        logComment("addFile");
        cancelInstall(err);
    }

    registerChrome(CONTENT | DELAYED_CHROME, chromeFolderJar, "content/" + packageName + "/");
    for (var i = 0; i < locales.length; i++) {
        registerChrome(LOCALE | DELAYED_CHROME, chromeFolderJar, "locale/" + locales[i] + "/" + packageName + "/");
    }
    err = getLastError();
    if (err != SUCCESS) {
        logComment("registerChrome");
        cancelInstall(err);
    }
} else {
    err = addFile(regName, jarLocation, userChromeFolder, "");
    if (err != SUCCESS) {
        logComment("addFile");
        cancelInstall(err);
    }

    registerChrome(CONTENT | PROFILE_CHROME, userChromeFolderJar, "content/" + packageName + "/");
    for (var i = 0; i < locales.length; i++) {
        registerChrome(LOCALE | PROFILE_CHROME, userChromeFolderJar, "locale/" + locales[i] + "/" + packageName + "/");
    }
    err = getLastError();
    if (err != SUCCESS) {
        logComment("registerChrome");
        cancelInstall(err);
    }
}

err = performInstall();
if (err < 0 ) {
    logComment("performInstall");
    cancelInstall();
} else {
    alert("Please restart your browser");
}




